List secrets
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"offset": 0,
"secretFqns": [
"<string>"
],
"secretGroupId": "<string>",
"withValue": false
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/secrets"
payload = {
"limit": 10,
"offset": 0,
"secretFqns": ["<string>"],
"secretGroupId": "<string>",
"withValue": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 10,
offset: 0,
secretFqns: ['<string>'],
secretGroupId: '<string>',
withValue: false
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"secretGroupId": "<string>",
"value": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretVersions": [
{
"id": "<string>",
"fqn": "<string>",
"value": "<string>",
"version": 123,
"secret": null,
"secretId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"activeDeploymentsCount": 123,
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Secrets
List secrets
List secrets the caller has access to.
POST
/
api
/
svc
/
v1
/
secrets
List secrets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Filter by secret FQNs.
Filter by secret group ID.
Whether to include the secret values in the response. Defaults to false.
Was this page helpful?
⌘I